### Optional Connection Parameters

Fog supports passing additional connection parameters to its underlying HTTP library (Excon) using the `:connection_options` parameter.

		 Key
		 Description

		 :connect_timeout
		 Connection timeout (default: 60 seconds)

		 :read_timeout
		 Read timeout for connection (default: 60 seconds)	
	
		 :write_timeout
		 Write timeout for connection (default: 60 seconds)

		 :proxy
		 Proxy for HTTP and HTTPS connections

		 :ssl_ca_path
		 Path to SSL certificate authorities

		 :ssl_ca_file
		 SSL certificate authority file

		 :ssl_verify_peer
		 SSL verify peer (default: true)

     :debug_request
     debug print request (default: false)

     :debug_response
     debug print response (default: false)

